{ Fill in the following sections (removing comment marks ! if necessary),
  and delete those that are unused.}
TITLE 'przeplyw ustalony linie pradu'     { the problem identification }
 Select
painted
COORDINATES

cartesian2  { coordinate system, 1D,2D,3D, etc }


VARIABLES        { system variables }
  h              { Wysokosc Hydrauliczna }


 DEFINITIONS    {wsplczynniki przepuszczalnosci, zrdla, studnie }

s=0.01 {intensywnosc infiltracji/Hsr}

k1=1e-4 {wsplczynnik filtracji w strefie 1}
k2=1e-4{wsplczynnik filtracji w strefie 2}
vx=-k1*dx(h)
vy=-k2*dy(h)



EQUATIONS        { PDE's, one for each variable }

dx(k1*dx(h))+dy(k2*dy(h))=0 { rwnanie przep?ywu w o?rodku anizotropowym }

BOUNDARIES       { Warunki brzegowe }
  REGION 1       { Obszar pierwszy }
    START(0,0)   { wprowadzanie pierwszego ci?gu danych od pkt. (0,0) }
    natural(h)=0 LINE TO (1,0)  TO (1,0.8)
   value(h)=0.8 LINE  TO (0.505,0.8)
    natural(h)=0 LINE TO(0.505,0.5)TO (0.495,0.5) TO (0.495,1.0)
    value(h)=1.00 LINE TO (0,1)
   natural(h)=0  LINE TO CLOSE



MONITORS         { monitoring }
   contour(h)

PLOTS            { save result displays }
  CONTOUR(h)

  grid(x,y)
 {CONTOUR(h+1.65*y) as 'Wykres si? masowych'}
Contour(h) as 'Wykres plaski linii pradu'
surface(h) as 'Wykres linii pradu'
vector(vx,vy) as "Pole prdkosci filtracji"

 CONTOUR(dy(h)+1.65)  as "Warunek wyporu"
 ELEVATION(h) FROM (0,1) to (1,1)




END


